- 2023-03-09
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
- 2023-03-16
  - Received notification that testing has finished.
- 2023-03-17
  - Put on hold due to open questions.
- 2023-04-14
  - Cancelled release in favor of 3.17.
